#include <QtCore/QtPlugin>
#include <QDesignerFormEditorInterface>
#include <QDesignerPropertyEditorInterface>
#include "plugin_busyicon.h"
#include "busy_icon.h"


BusyIconPlugin::BusyIconPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void BusyIconPlugin::initialize(QDesignerFormEditorInterface * ) {
	if (m_initialized)
		return;
	m_initialized = true;
}


bool BusyIconPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * BusyIconPlugin::createWidget(QWidget * parent) {
	return new BusyIcon(parent);
}


QString BusyIconPlugin::name() const {
	return QLatin1String("BusyIcon");
}


QString BusyIconPlugin::group() const {
	return QLatin1String("SHS Widgets");
}


QIcon BusyIconPlugin::icon() const {
	return QIcon(/*":/icons/.png"*/);
}


QString BusyIconPlugin::toolTip() const {
	return QLatin1String("");
}


QString BusyIconPlugin::whatsThis() const {
	return QLatin1String("");
}


bool BusyIconPlugin::isContainer() const {
	return false;
}


QString BusyIconPlugin::domXml() const {
	return QLatin1String("<widget class=\"BusyIcon\" name=\"busyIcon\">\n</widget>\n");
}


QString BusyIconPlugin::includeFile() const {
	return QLatin1String("busy_icon.h");
}

